Draft Move/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(5 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
{{Docnav
|[[Draft_Label|Label]]
|[[Draft_Rotate|Rotate]]
|[[Draft_Module|Draft]]
|IconL=Draft_Label.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Rotate.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft Move|Name/es=Draft Move|Workbenches=[[Draft Module/es|Croquis]]|MenuLocation=Croquis -> Mover|Shortcut=M V}}
{{GuiCommand/es|Name=Draft Move|Name/es=Draft Move|Workbenches=[[Draft Module/es|Croquis]]|MenuLocation=Croquis -> Mover|Shortcut=M V}}
Line 8: Line 18:
La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.
La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.
</div>
</div>

The Move tool can be used on 2D shapes created with the [[Draft Workbench]] or [[Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[Arch Workbench]].

To produce various copies in different arrangements use [[Draft Array]], [[Draft PathArray]] and [[Draft PointArray]].


[[Image:Draft_Move_example.jpg|400px]]
[[Image:Draft_Move_example.jpg|400px]]
{{Caption|Moving an object from one point to another point}}


==Utilización==
==Utilización==


<div class="mw-translate-fuzzy">
# Selecciona los objetos que deseas mover o copiar
# Selecciona los objetos que deseas mover o copiar
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
# Designa un primer punto en la vista 3D, o tipo en [[Draft_Coordinates/es|coordenadas]]
# Designa un primer punto en la vista 3D, o tipo en [[Draft_Coordinates/es|coordenadas]]
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
</div>


===Limitations===
== Snapping, Constraining, and more ==
When moving an object that is based on a [[Sketcher Sketch]], for example, a feature created with the [[PartDesign Workbench]] ([[PartDesign Pad|Pad]], [[PartDesign Revolution|Revolution]], etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

=== Preferences ===

Moving object around in 3D can be dreadful, and is most likely '''not''' what you want. FreeCAD comes with a lot more power to move object around, but first you must check your preferences to see how to activate those commands.

Go to {{KEY|Edit}} -> {{KEY|Preferences}} -> {{KEY|DRAFT}}, then open the {{KEY|Grid and snapping}} tab.

You will see there several options:

[[File:Pref_Draft_Snapping.png]]

By default the option "Always snap (disable snap mod)" is activated, which means that the snapping tools will always be active (you don't need to press a key to activate them), note here what keys are assigned to activate the different modes, by default:

* {{KEY|SHIFT}} activate the {{KEY|Constrain}} mode (move along an axis vector only)
* {{KEY|Ctl}} activate the {{KEY|SNAP}} mode (cursor will snap on specific points)
* {{KEY|Alt}} activate the {{KEY|ALT}}

=== Moving along a specific axis ===

In order to move along a specific axis, you must first select a working plane containing this axis (see the [[Draft_SelectPlane|selecting working plane]] page for more information).

After selecting the first point to move, start to move roughly in the axis direction and hold the {{KEY|SHIFT}} key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.

(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).

More on constrain move [[Draft_Constrain|here]]

=== Snapping ===

If you have a point that you want to directly match on a solid, you can use snapping see the [[Draft_Snap|snapping]] page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.

By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key {{KEY|Ctrl}} by default.

=== Alt Mode ===

Alt mode allows you to copy and object instead of moving it only.


==Opciones==
==Opciones==


<div class="mw-translate-fuzzy">
* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el siguiente punto sobre el eje indicado.
* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el siguiente punto sobre el eje indicado.
* Para introducir coordenadas manualmente, simplemente introduce los números y presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
* Para introducir coordenadas manualmente, simplemente introduce los números y presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
Line 66: Line 49:
* Presiona {{KEY|SHIFT}} mientras dibujas para [[Draft_Constrain/es|restringir]] tu siguiente punto horizontal o verticalmente en relación con el último.
* Presiona {{KEY|SHIFT}} mientras dibujas para [[Draft_Constrain/es|restringir]] tu siguiente punto horizontal o verticalmente en relación con el último.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
</div>


<div class="mw-translate-fuzzy">
==Programación==
==Programación==
</div>


<div class="mw-translate-fuzzy">
La herramienta Mover se puede utilizar en [[macros/es|macros]] y desde la consola de Pyython utilizando la siguiente función:
La herramienta Mover se puede utilizar en [[macros/es|macros]] y desde la consola de Pyython utilizando la siguiente función:
</div>


{{Code|code=
{{Code|code=
movedlist = move(objectslist, vector, copy=False)
move (FreeCAD.Object or list, Vector, [copymode])
}}
}}


<div class="mw-translate-fuzzy">
* Mueve el objeto dado o los objetos contenido en la lista indicada
* Mueve el objeto dado o los objetos contenido en la lista indicada
en la dirección y distancia indicada por el vector dado.
en la dirección y distancia indicada por el vector dado.
Line 80: Line 69:
en su lugar se crearán copias.
en su lugar se crearán copias.
* Devuelve los objetos (o sus copias si copymode era True)
* Devuelve los objetos (o sus copias si copymode era True)
</div>


Ejemplo:
Ejemplo:


{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft

Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
}}
}}

==Limitations==
{{Docnav
* When moving (or changing Placement of) a document object (eg: Pad, Revolution, etc) which is based on a Sketch (from Sketcher/Part Design), you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.
|[[Draft_Label|Label]]
<languages/>
|[[Draft_Rotate|Rotate]]
|[[Draft_Module|Draft]]
|IconL=Draft_Label.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Rotate.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 20:30, 21 February 2020

Draft Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Moving an object from one point to another point

Utilización

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Limitations

When moving an object that is based on a Sketcher Sketch, for example, a feature created with the PartDesign Workbench (Pad, Revolution, etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

Opciones

  • Presiona X, Y o Z después de un punto para restringir el siguiente punto sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si está activado el modo relativas, las coordenadas del siguiente punto son relativas al punto anterior. En otro caso, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta mover se reiniciará después de terminar, permitiendo mover o copiar los objetos otra vez sin volver a pulsar el botón de Mover.
  • Presionando ALT o C o seleccionando el botón Copy se creará una copia de los objetos, en lugar de moverlos. Si mantienes la tecla ALT pulsada después de designar el segundo punto, serás capaz de ubicar más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación con el último.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Programación

La herramienta Mover se puede utilizar en macros y desde la consola de Pyython utilizando la siguiente función:

movedlist = move(objectslist, vector, copy=False)
  • Mueve el objeto dado o los objetos contenido en la lista indicada
en la dirección y distancia indicada por el vector dado. 
  • Si copymode es True, los objetos actuales no se moverán, sino que
en su lugar se crearán copias. 
  • Devuelve los objetos (o sus copias si copymode era True)

Ejemplo:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)